# Ogre::GLXWindowInterface Class Reference

Interface that provides some GLX specific notification to an Ogre GLX window. More...

`#include <OgreGLXWindowInterface.h>`

Inheritance diagram for Ogre::GLXWindowInterface:

List of all members.

## Public Member Functions

virtual | ~GLXWindowInterface ()=0
virtual void | exposed (bool active)=0
| Call this with true when the window is mapped/visible, false when the window is unmapped/invisible.
virtual void | resized (size_t width, size_t height)=0
| Call this to notify the window was resized.

## Detailed Description

Interface that provides some GLX specific notification to an Ogre GLX window.

Use if this is mandatory when you provide your own input system instead of the Ogre input system.

Definition at line 36 of file OgreGLXWindowInterface.h.

## Constructor & Destructor Documentation

virtual Ogre::GLXWindowInterface::~GLXWindowInterface | ( |  | ) | `[pure virtual]`

## Member Function Documentation

virtual void Ogre::GLXWindowInterface::exposed | ( | bool | active | ) | `[pure virtual]`

| Call this with true when the window is mapped/visible, false when the window is unmapped/invisible. Implemented in Ogre::GLXWindow.

virtual void Ogre::GLXWindowInterface::resized | ( | size_t | width,
|  | size_t | height
| ) | `[pure virtual]`

| Call this to notify the window was resized. Implemented in Ogre::GLXWindow.

The documentation for this class was generated from the following file:

- OgreGLXWindowInterface.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:09:37 2006